baseurl: "http://localhost:1313"
title: JILITS
languageCode: en-us
theme: LoveIt

defaultContentLanguage: en
languageCode: en
languageName: English
hasCJKLanguage: false
paginate: 12
googleAnalytics: ''
copyright: ''
enableRobotsTXT: true
enableGitInfo: true
enableEmoji: true

author:
  name: Emil Dabrowski
  link: 'https://www.linkedin.com/in/dbrski/'

menu:
  main:
    - weight: 1
      identifier: posts
      pre: ''
      post: ''
      name: Posts
      url: /posts/
      title: ''
    - weight: 2
      identifier: about
      pre: ''
      post: ''
      name: About
      url: /about/
      title: ''
    - weight: 3
      identifier: gitea
      pre: <i class='fab fa-git-alt fa-fw' aria-hidden='true'></i>
      post: ''
      name: ''
      url: 'https://git.jilits.se/JILITS/website'
      title: Gitea

params:
  title: JILITS
  description: Cloud Agnostic Computing
  defaultTheme: auto
  dateFormat: '2006-01-02'
  gitRepo: 'https://git.jilits.se/JILITS/website'

  # website images for Open Graph and Twitter Cards
  images:
    - /images/screenshot.png

  header:
    desktopMode: fixed
    mobileMode: auto

    title:
      logo: '/images/logo.png'
      name: ''
      post: ''
      typeit: false

  home:
    rss: 10
    profile:
      enable: true
      avatarURL: /images/avatar.png
      title: 'Emil Dabrowski // JILITS'
      subtitle: 'Cloud Agnostic DevOps Consulting'
      typeit: true
      social: true
      disclaimer: ''

    posts:
      enable: false

  social:
    Gitea: https://git.jilits.se/explore/repos
    Telegram: dbrski
    Linkedin: dbrski

  footer:
    enable: true
    custom: ''
    hugo: false
    copyright: true
    author: true
    since: 2022
    license: >-
      <a rel="license external nofollow noopener noreffer"
      href="https://creativecommons.org/licenses/by-nc/4.0/" target="_blank">CC
      BY-NC 4.0</a>

  section:
    paginate: 20
    dateFormat: 01-02
    rss: 10

  list:
    paginate: 20
    dateFormat: 01-02
    rss: 10

  app:
    title: JILITS
    noFavicon: false
    svgFavicon: 'favicon.svg'
    themeColor: '#ffffff'
    iconColor: '#ffffff'
    tileColor: '#ffffff'

  search:
    enable: false

  page:
    hiddenFromHomePage: false
    hiddenFromSearch: false
    twemoji: false
    lightgallery: false
    ruby: true
    fraction: true
    fontawesome: true
    linkToMarkdown: true
    rssFullText: false

    toc:
      enable: true
      keepStatic: false
      auto: true

    code:
      copy: true
      maxShownLines: 50

    math:
      enable: false
      inlineLeftDelimiter: ''
      inlineRightDelimiter: ''
      blockLeftDelimiter: ''
      blockRightDelimiter: ''
      copyTex: true
      mhchem: true

    comment:
      enable: false

    share:
      enable: true
      Twitter: true
      Facebook: true
      Linkedin: true
      Whatsapp: false
      Pinterest: false
      Tumblr: false
      HackerNews: false
      Reddit: false
      VK: false
      Buffer: false
      Xing: false
      Line: false
      Instapaper: false
      Pocket: false
      Flipboard: false
      Weibo: false
      Blogger: false
      Baidu: false
      Odnoklassniki: false
      Evernote: false
      Skype: false
      Trello: false
      Mix: false

    # # FIXME
    # seo:
    #   images: []
    #   publisher:
    #     name: xxxx
    #     logoUrl: /images/avatar.png

  typeit:
    speed: 75
    cursorSpeed: 1000
    cursorChar: '|'
    duration: -1

  # # FIXME
  # verification:
  #   google: ''
  #   bing: ''
  #   yandex: ''
  #   pinterest: ''
  #   baidu: ''

  seo:
    thumbnailUrl: /images/screenshot.png

  analytics:
    enable: false

  cdn:
    data: jsdelivr.yml

  compatibility:
    polyfill: false
    objectFit: false

markup:
  highlight:
    codeFences: true
    guessSyntax: true
    lineNos: true
    lineNumbersInTable: true
    noClasses: false

  goldmark:
    extensions:
      definitionList: true
      footnote: true
      linkify: true
      strikethrough: true
      table: true
      taskList: true
      typographer: true

    renderer:
      unsafe: true

  tableOfContents:
    startLevel: 2
    endLevel: 6

sitemap:
  changefreq: weekly
  filename: sitemap.xml
  priority: 0.5

Permalinks:
  posts: ':filename'

privacy:
  googleAnalytics: {}
  twitter:
    enableDNT: true
  youtube:
    privacyEnhanced: true

mediaTypes:
  text/plain:
    suffixes:
      - md
outputFormats:
  MarkDown:
    mediaType: text/plain
    isPlainText: true
    isHTML: false

outputs:
  home:
    - HTML
    - RSS
    - JSON
  page:
    - HTML
    - MarkDown
  section:
    - HTML
    - RSS
  taxonomy:
    - HTML
    - RSS
  taxonomyTerm:
    - HTML

languages:
  en:
    weight: 1
    languageCode: en
    languageName: English
    hasCJKLanguage: false
    copyright: >-
      This work is licensed under a Creative Commons Attribution-NonCommercial
      4.0 International License.

  sv:
    weight: 1
    languageCode: sv
    languageName: Svenska
    hasCJKLanguage: false
    copyright: >-
      Detta arbete är licensierat under en Creative Commons Attribution-NonCommercial
      4.0 Internationell licens.

    params:
      home:
        profile:
          enable: true
          avatarURL: /images/avatar.png
          title: 'Emil Dabrowski // JILITS'
          subtitle: 'Molnagnostisk DevOps-konsultation'
          typeit: true
          social: true
          disclaimer: ''
